Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228902 - SELinux: fine grained enforcement of sysfs objects
Summary: SELinux: fine grained enforcement of sysfs objects
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eric Paris
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-15 20:23 UTC by Eric Paris
Modified: 2009-02-11 09:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:11:41 UTC


Attachments (Terms of Use)
sysfs-genfs early work (deleted)
2007-02-15 20:23 UTC, Eric Paris
no flags Details | Diff
sysfs-sde early work (deleted)
2007-02-15 20:24 UTC, Eric Paris
no flags Details | Diff

Description Eric Paris 2007-02-15 20:23:46 UTC
Upstream work:

> > A somewhat related question: How do you handle security labels for
> > sysfs?  No fine grained security yet.
> 
> Right, they are all mapped to a single label presently.  I was thinking
> of handling that from userspace after introducing a setxattr handler for
> sysfs and a way to preserve the SID on the entry (likely caching it in
> the sysfs_dirent and propagating that to the inode when the inode is
> populated from the sysfs_dirent).  Then early userspace could walk sysfs
> and apply finer-grained labeling from a configuration.

Comment 1 Eric Paris 2007-02-15 20:23:46 UTC
Created attachment 148143 [details]
sysfs-genfs early work

Comment 2 Eric Paris 2007-02-15 20:24:50 UTC
Created attachment 148144 [details]
sysfs-sde early work

Comment 3 Bug Zapper 2008-04-03 19:09:44 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Bug Zapper 2008-05-07 01:11:39 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Comment 5 James Morris 2009-02-11 09:32:37 UTC
Ping ?


Note You need to log in before you can comment on or make changes to this bug.